Subject: Re: bug#5294: 23.1; unload-feature disable minor-mode

From: Juanma Barranquero <[email-masked]>
Date: Sun, 3 Jan 2010 00:22:54 +0100

On Sat, Jan 2, 2010 at 22:09, Kevin Ryde <[email-masked]> wrote:

> As an idea for unload-feature, when unloading a buffer-local minor mode
> it could helpfully find buffers where the mode is enabled and disable it
> before unloading.
>
> An example foo.el mode below.  Eval the code in try-foo.el and it leaves
> the buffer boldened, where disabling the mode could have undone it.

I don't know whether, in general, you want to disable all effects of a
mode after downloading it. Modes that do want can use
FOO-unload-function like in your example.

> Otherwise I expect define-minor-mode could
> chuck some code in `foo-unload-hook' - if it presumes the feature symbol
> will match the load filename.

FOO-unload-hook is deprecated.

    Juanma